Subject: Re: bug#22100: 'font-alias' breaks other xorg font packages when installed in a single profile

From: [email-masked] (Ludovic Courtès)
Date: Wed, 09 Dec 2015 15:05:28 +0100

Alex Kost <[email-masked]> skribis:

> I install several xorg font packages (font-adobe75dpi, font-adobe100dpi,
> font-misc-misc and font-alias) in one of my profiles, and point my Xorg
> font path to this directory.  Previously it worked fine, but after
> commit bf9655f¹, I cannot use this anymore, because the empty
> "fonts.dir" files from 'font-alias' packages override the proper
> "fonts.dir" files from the other packages.

D’oh!

> So since it was a workaround for Xorg server behaviour, I wonder would
> it be possible to modify 'xorg-server' package instead?  So that along
> with directories with "fonts.dir" files, Xorg server would also handle
> directories that have "fonts.alias" files.

It seems we need something along these lines, indeed.

WDYT Eric?

Thanks,
Ludo’.